% XFFT - a Matlab toolbox to compute eXtended Fast Fourier transforms
% 
% Copyright (C) 2015 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate: 2015-10-21 13:41:37 +0200 (Mi, 21. Okt 2015) $
% $Author: melzer $
% $Revision: 6165 $
%
function [index]=GetIndex(nodes,start_idx,max_node,box_idx)
% Input
% nodes: nodes, ordered
% idx: index of the node with highest index
% max_node: maximal value of nodes
% box_idx: number of box 

idx=start_idx;
tmp=nodes(idx);

%tmp
%max_node/2^box_idx
test=false;
while( (tmp>max_node/2^box_idx) && idx>=1)
    
    %display('huhu')
    %pause
    
    
    idx=idx-1;
    if (~isequal(idx,0))
        tmp=nodes(idx);
    else
        idx=0;
    end
    
    %display('if')
    test=true;
end

if(test)
    index=idx+1;
else
    index=[];
end


end %function