% XFFT - a Matlab toolbox to compute eXtended Fast Fourier transforms
% 
% Copyright (C) 2015 Ines Melzer
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% $LastChangedDate$
% $Author$
% $Revision$
%
function [f] = mtimes_NNFFT(plan,fhat)
    
    n=size(fhat,2);
    M1=size(plan.MY,1);
    f=zeros(M1,n);
     

    for l=1:n
        nnfft_set_f_hat(plan.XFFT,exp(pi*1i*(plan.MOmega-plan.N/2)).*fhat(:,l));
        
        nnfft_trafo(plan.XFFT);
        %shift auf k=0,dots,N-1
        %f(:,l)=exp(pi*1i*plan.MX).*(plan.XFFT.f); 
        %shift auf k=1,dots,N
        
        f(:,l)=exp(pi*1i*plan.MX).*(nnfft_get_f(plan.XFFT)); 
        
    end


    
    
end

